Subject: Re: fsqrt

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 09 Jun 2013 16:32:15 +1000

The interesting thing I'm finding is that our math-emu is actually
quite busted :-)

For example look at fsqrt. It's defined as type AB which is incorrect,
it should be type XB. It ends up looking for it's arguments in the wrong
registers, same for fsrqts, fre, and a few others.

Also quite a few functions are simply left unimplemented... (fre is
completely missing from the decode, fres is there but returns -ENOSYS,
as does frsqrte, etc...)

I'll post a quick for for fsqrt{s} that I need for anaconda, but I
would strongly encourage somebody from FSL (primary users of that
stuff still) to have a close look at the rest. It shouldn't be terribly
hard to fix them up and add the few missing instructions, even if not
with the amount of precision requested by the spec (better than -ENOSYS)

Cheers,
Ben.